Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class MovedContextHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer
                  org.mortbay.jetty.handler.HandlerWrapper
                      org.mortbay.jetty.handler.ContextHandler
                          org.mortbay.jetty.handler.MovedContextHandler

All Implemented Interfaces:
  LifeCycle, Handler, HandlerContainer, Server.Graceful, Attributes

    public class MovedContextHandler

extends ContextHandler

Moved ContextHandler. This context can be used to replace a context that has changed location. Requests are redirected (either to a fixed URL or to a new context base).

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.handler.ContextHandler
`ContextHandler.SContext`

Field Summary

Fields inherited from class org.mortbay.jetty.handler.ContextHandler
`_scontext`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`MovedContextHandler()`
`MovedContextHandler(HandlerContainer parent, String contextPath, String newContextURL)`

Method Summary
`String` | `getNewContextURL()`
`boolean` | `isDiscardPathInfo()`
`boolean` | `isDiscardQuery()`
`boolean` | `isPermanent()`
`void` | `setDiscardPathInfo(boolean discardPathInfo)`
`void` | `setDiscardQuery(boolean discardQuery)`
`void` | `setNewContextURL(String newContextURL)`
`void` | `setPermanent(boolean permanent)`

Methods inherited from class org.mortbay.jetty.handler.ContextHandler
`addEventListener, addLocaleEncoding, clearAttributes, doStart, doStop, getAllowNullPathInfo, getAttribute, getAttributeNames, getAttributes, getBaseResource, getClassLoader, getClassPath, getConnectorNames, getContextPath, getCurrentContext, getDisplayName, getErrorHandler, getEventListeners, getHosts, getInitParameter, getInitParameterNames, getInitParams, getLocaleEncoding, getMaxFormContentSize, getMimeTypes, getResource, getResourceBase, getResourcePaths, getServletContext, getVirtualHosts, getWelcomeFiles, handle, isProtectedTarget, isShutdown, loadClass, removeAttribute, setAllowNullPathInfo, setAttribute, setAttributes, setBaseResource, setClassLoader, setConnectorNames, setContextPath, setDisplayName, setErrorHandler, setEventListeners, setHosts, setInitParams, setMaxFormContentSize, setMimeTypes, setResourceBase, setServer, setShutdown, setVirtualHosts, setWelcomeFiles, startContext, toString`

Methods inherited from class org.mortbay.jetty.handler.HandlerWrapper
`addHandler, expandChildren, getHandler, setHandler`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandlerContainer
`expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Constructor Detail

### MovedContextHandler

    public MovedContextHandler()

### MovedContextHandler

    public MovedContextHandler(HandlerContainer parent,
                               String contextPath,
                               String newContextURL)

Method Detail

### isDiscardPathInfo

    public boolean isDiscardPathInfo()

### setDiscardPathInfo

    public void setDiscardPathInfo(boolean discardPathInfo)

### getNewContextURL

    public String getNewContextURL()

### setNewContextURL

    public void setNewContextURL(String newContextURL)

### isPermanent

    public boolean isPermanent()

### setPermanent

    public void setPermanent(boolean permanent)

### isDiscardQuery

    public boolean isDiscardQuery()

### setDiscardQuery

    public void setDiscardQuery(boolean discardQuery)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.